<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/zag.php");
include_once("include/antixak.php");
$_title = 'Linewap2';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("include/sesi.php");
if (isset($user)) {


$dir = opendir ("MySql/base123/shop");
while ($file = readdir ($dir))
{if (( $file != ".") && ($file != ".."))
{$a[]=$file;}}
closedir ($dir);
$total = count($a);

for ($i = 0; $i < $total; $i++){
$tex = @file("MySql/base123/shop/$a[$i]");
$data = explode(":||:",$tex[0]);

$a[$i]=str_replace(".dat","",$a[$i]);

if($data[2]=="4it"){
if($udata[9]<="85"){if($data[3]=="0"){

$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]="NG";
$dat_name[]=$data[4];}}

if($udata[9]>="20"){if($data[3]=="D"){

$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]=$data[3];
$dat_name[]=$data[4];}}

if($udata[9]>="40"){if($data[3]=="C"){
$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]=$data[3];
$dat_name[]=$data[4];}}

if($udata[9]>="52"){if($data[3]=="B"){

$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]=$data[3];
$dat_name[]=$data[4];}}

if($udata[9]>="62"){if($data[3]=="A"){

$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]=$data[3];
$dat_name[]=$data[4];}}

if($udata[9]>="76"){if($data[3]=="S"){

$dat_id[]=$a[$i];
$dat_cena[]=$data[1];
$dat_sila[]=$data[0];
$dat_gr[]=$data[3];
$dat_name[]=$data[4];}}

}
}

foreach($dat_name as $k=>$v)
{
$gr[]=$dat_gr[$k];
$dat_screen[]="<small><b><a href=\"pokupka2.php?$sd&vesh=$dat_id[$k]&gorod=$udata[20]\">$dat_name[$k]</a></b> M+$dat_sila[$k] [$dat_cena[$k] aden] <b>[$dat_gr[$k]]</b><br/></small>";
}


$total = count($dat_screen);



if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
echo"$dat_screen[$i]";
}
if ($start !== 0) {echo '<small><a href="mag4it.php?start='.($start - 10).'&'.$sd.'">Назад</a> </small>';}
if ($total > $start + 10) {echo '<small> <a href="mag4it.php?start='.($start + 10).'&'.sd.'">Далее</a></small>';}





}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>

